fvMesh meshFluid
(
    IOobject
    (
        "meshFluid",
        runTime.timeName(),
        runTime,
        IOobject::MUST_READ
    )
);

IOdictionary mapFieldsDict
(
    IOobject
    (
        "mapFieldsDict",
        runTime.system(),
        runTime,
        IOobject::MUST_READ_IF_MODIFIED,
        IOobject::NO_WRITE,
        false
    )
);

HashTable<word> patchMap;
wordList cuttingPatches;
mapFieldsDict.lookup("patchMap") >> patchMap;
mapFieldsDict.lookup("cuttingPatches") >>  cuttingPatches;

meshToMesh0::order mapOrder = meshToMesh0::INTERPOLATE;
mapSubMesh
(
    meshFluid,
    mesh,
    patchMap,
    cuttingPatches,
    mapOrder
);

